- entityDefinitions:
  - IDM_Report_Definition__get__Columns:    '{9c691f3b-7021-4307-b69e-2b3faca9e35a}'
  - IDMB_Report_Definition__get__Columns: '{fdf15782-751d-4ecd-b6c4-d2e24a28918f}'
  - IDMB_Custom_Report_Definition__get__Columns: '{2df89a86-e39d-4eba-b948-5b910d7bde95}'
  - IDI_WorkSet_ReportColumnNonsingular: '{b0d89e00-5fc0-4c23-b2c4-c571d7697803}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ReportColumnNonsingular;'
    name: 'Report Column [Nonsingular]'
    singular: no

  - getReferencedInstanceSetMethod: '&IDM_Report_Definition__get__Columns;'
    forClassId: '&IDC_ReportDefinition;'
    returnsWorkSetId: '&IDI_WorkSet_ReportColumnNonsingular;'
    verb: 'get'
    name: 'Columns'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    referenceInstanceSet: '&IDC_ReportDefinition;'
    answerInstanceSet: '&IDR_Report_Definition__has__Report_Column;'
    singular: no
    
  - returnInstanceSetMethodBinding: '&IDMB_Report_Definition__get__Columns;'
    executesMethod: '&IDM_Report_Definition__get__Columns;'

  - returnInstanceSetMethodBinding: '&IDMB_Custom_Report_Definition__get__Columns;'
    executesMethod: '&IDM_Report_Definition__get__Columns;'
    parameterAssignments:
    - globalIdentifier: '{419300d1-45be-4fb3-968b-80190791efb7}'
      assignsToParameter: '&IDC_ReportDefinition;'
      assignsFromWorkData: '&IDC_CustomReportDefinition;'